Package org.linphone.core

# Interface AccountDevice

public interface AccountDevice
Object that represents a device that at least once was connected to a given
account.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLastUpdateTime()`
Gets the timestamp at which this devices was updated for the last time.
`long`
`getLastUpdateTimestamp()`
Gets the timestamp at which this devices was updated for the last time.
`String`
`getName()`
Gets the name of the device.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getUserAgent()`
Gets the user-agent of the device.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`String`
`getUuid()`
Gets the UUID of the device.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getLastUpdateTime

@Nullable String getLastUpdateTime()
Gets the timestamp at which this devices was updated for the last time.

Returns:
  the time under ISO 8601 format at which the device was updated.

### getLastUpdateTimestamp

@Nullable long getLastUpdateTimestamp()
Gets the timestamp at which this devices was updated for the last time.

Returns:
  the timestamp (time_t) at which the device was updated.

### getName

@Nullable String getName()
Gets the name of the device.

Returns:
  the name of the device.

### getUserAgent

@NonNull String getUserAgent()
Gets the user-agent of the device.

Returns:
  the user-agent of the device.

### getUuid

@NonNull String getUuid()
Gets the UUID of the device.

Returns:
  the UUID of the device.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`